org.apache.hadoop.hdfs.client

## Class HdfsUtils

- java.lang.Object
- - org.apache.hadoop.hdfs.client.HdfsUtils

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class HdfsUtils
      extends Object

  The public utility API for HDFS.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HdfsUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isHealthy(URI uri)` Is the HDFS healthy? HDFS is considered as healthy if it is up and not in safemode.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### HdfsUtils

          public HdfsUtils()

  - ### Method Detail

    - #### isHealthy

          public static boolean isHealthy(URI uri)

      Is the HDFS healthy? HDFS is considered as healthy if it is up and not in safemode.
      Parameters:
        `uri` - the HDFS URI. Note that the URI path is ignored.
      Returns:
        true if HDFS is healthy; false, otherwise.

Copyright © 2022 Apache Software Foundation. All rights reserved.